Bug 92622 - WRITER: context menu "Unstyle selected text" from list style to "no-list" style
Summary: WRITER: context menu "Unstyle selected text" from list style to "no-list" style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: Other All
: medium enhancement
Assignee: An-Kh
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2015-07-08 11:27 UTC by Philippe Jung
Modified: 2021-03-02 14:58 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Jung 2015-07-08 11:27:23 UTC
I have a text formatted with Paragraph style + Char style + Bullet style.
I would like to remove the bullet style.

Select text
Go to Style & formatting sidebar
Select Bullet styles
One is selected because it is applied to my selected text
At this point, I would like to right click on the selected bullet style and say remove this style from my selection (Unstyle Text).
Comment 1 Cor Nouws 2015-07-08 12:09:41 UTC
(In reply to Philippe Jung from comment #0)

> At this point, I would like to right click on the selected bullet style and
> say remove this style from my selection (Unstyle Text).

Hi Philippe,

You know this can be simply done by Ctrl+Shft+F12 or the Icon Bullets/numbering On/Off ?
Comment 2 Philippe Jung 2015-07-08 16:50:08 UTC
> You know this can be simply done by Ctrl+Shft+F12 or the Icon
> Bullets/numbering On/Off ?

Yes, as a workaround for this specific case, that's what I did. But I think there should be this for all style lists (kind of clear formatting but not every formatting, just what is selected).
Comment 3 Joel Madero 2015-07-12 18:24:46 UTC
I'm not a huge fan of adding more stuff to right click context menu - lots of work has been done to minimize this menu as much as possible. That being said - this is for UX to decide. Pushing to NEW and requesting input.
Comment 4 Cor Nouws 2015-07-12 18:46:28 UTC
(In reply to Philippe Jung from comment #2)
> Yes, as a workaround for this specific case, that's what I did. But I think
> there should be this for all style lists (kind of clear formatting but not
> every formatting, just what is selected).

Do you mean that this option should be available in all types of styles, or for all of the list styles?
Comment 5 Philippe Jung 2015-07-12 19:34:18 UTC
I mean that LibreOffice is based on an additive set of styles:
one paragraph style
plus
one character style
plus
one list style

Double Clicking a style is the "plus" operation

If I am not mistaken the only negative operation is "Clear all direct formatting"

So I would like negative operation for any kind of style to that we can change the result without having to remove everything first.

=> Maybe a "no list" ( = Default) to the list style + the same for character style would be sufficient ?
Comment 6 Cor Nouws 2015-07-12 20:08:10 UTC
(In reply to Philippe Jung from comment #5)

> Double Clicking a style is the "plus" operation
> 
> If I am not mistaken the only negative operation is "Clear all direct
> formatting"

Or choose a different (default) style for paragraphs/characters/graphics-frames/pages.

> So I would like negative operation for any kind of style to that we can
> change the result without having to remove everything first.

That only makes sense for list styles. All other types of styles have no NULL-option, but fall back to the 'Default' style.

> => Maybe a "no list" ( = Default) to the list style + the same for character
> style would be sufficient ?

I doubt about the sense for character styles.

However a solution could be, in the context menu for list styles, within the Styles pane, the option 'no list style'. OK?
Alternatively, if list styles are selected, a button 'no list style' in the tool bar ?
Comment 7 Yousuf Philips (jay) (retired) 2015-07-22 17:06:17 UTC
It would be useful to have UNO commands to reset the various types of styles, primarily paragraph and character styles, as these command would be useful for the styles menu. Buttons for these would also be useful for inclusion in the styles & formatting tab similar to the clear direct formatting button i included in this mockup - attachment 115020 [details].
Comment 8 Timur 2016-02-10 20:36:34 UTC
(In reply to Yousuf (Jay) Philips from comment #7)
> Buttons for these would also be useful for
> inclusion in the styles & formatting tab similar to the clear direct
> formatting button i included in this mockup - attachment 115020 [details].

If I understand well, this is the same as Format - Clear Direct Formatting but in Sidebar, which is missing now, and that would be nice.
But, there should also be "Clear all formatting", same as in Apply Style dropdown now.
Comment 9 Yousuf Philips (jay) (retired) 2016-02-11 04:16:19 UTC
(In reply to Timur from comment #8)
> If I understand well, this is the same as Format - Clear Direct Formatting
> but in Sidebar, which is missing now, and that would be nice.
> But, there should also be "Clear all formatting", same as in Apply Style
> dropdown now.

The mockup only showed one of the button for clearing direct formatting which already has a menu option, but we still need uno commands for clearing paragraph and character styles. The 'Clear all formatting' available in the Apply Style drop down isnt available in the sidebar and its behaviour isnt properly implemented as there are scenarios where it doesnt act right.
Comment 10 Robinson Tryon (qubit) 2016-08-25 05:49:15 UTC Comment hidden (obsolete)
Comment 11 S.Zosgornik 2020-07-25 08:55:09 UTC
Having a "none" format represent in the Sidebar would make sense for tables as well.
So far none format is only available initially during table creation.
Comment 12 Heiko Tietze 2021-01-18 11:57:45 UTC
Unset is as unclear as none. In a hierarchy of Default > Text Body > Test, what should happen if the function is applied to Test? Guess it activates Text Body not Default. This is actually what Standard does, not so easy to understand and reported in bug 128469 (pb. see also bug 118834, bug 88474, and bug 76898).

My take: WF.
Comment 13 Heiko Tietze 2021-01-21 09:45:45 UTC
Character Style has a Default option to un-set so we should add this to the list styles too. Could be labelled "No List" rather than "None".

@An-Kh: You need to add a new list style, make it responsive so "No List" is highlighted unless something is set, respond to selection, etc. Sounds like an interesting difficulty. Please unassign if this is too challenging.

Very basic code pointer: sfx2/source/dialog/templdlg.cxx (interaction with the UI) and check doc/SwStyleNameMapper.cxx and other for STR_POOLCHR_STANDARD ("Default CS").
Comment 14 An-Kh 2021-01-21 12:37:23 UTC
(In reply to Heiko Tietze from comment #13)
> Character Style has a Default option to un-set so we should add this to the
> list styles too. Could be labelled "No List" rather than "None".
> 
> @An-Kh: You need to add a new list style, make it responsive so "No List" is
> highlighted unless something is set, respond to selection, etc. Sounds like
> an interesting difficulty. Please unassign if this is too challenging.
> 
> Very basic code pointer: sfx2/source/dialog/templdlg.cxx (interaction with
> the UI) and check doc/SwStyleNameMapper.cxx and other for
> STR_POOLCHR_STANDARD ("Default CS").

Hi

I am currently unassigning it.. But I will try to work on it..
Comment 15 An-Kh 2021-01-21 12:39:05 UTC
(In reply to An-Kh from comment #14)
> (In reply to Heiko Tietze from comment #13)
> > Character Style has a Default option to un-set so we should add this to the
> > list styles too. Could be labelled "No List" rather than "None".
> > 
> > @An-Kh: You need to add a new list style, make it responsive so "No List" is
> > highlighted unless something is set, respond to selection, etc. Sounds like
> > an interesting difficulty. Please unassign if this is too challenging.
> > 
> > Very basic code pointer: sfx2/source/dialog/templdlg.cxx (interaction with
> > the UI) and check doc/SwStyleNameMapper.cxx and other for
> > STR_POOLCHR_STANDARD ("Default CS").
> 
> Hi
> 
> I am currently unassigning it.. But I will try to work on it..

I find it quite similar to my recent patch..
Comment 16 An-Kh 2021-01-21 21:01:34 UTC
(In reply to Heiko Tietze from comment #13)
> Character Style has a Default option to un-set so we should add this to the
> list styles too. Could be labelled "No List" rather than "None".
> 
> @An-Kh: You need to add a new list style, make it responsive so "No List" is
> highlighted unless something is set, respond to selection, etc. Sounds like
> an interesting difficulty. Please unassign if this is too challenging.
> 
> Very basic code pointer: sfx2/source/dialog/templdlg.cxx (interaction with
> the UI) and check doc/SwStyleNameMapper.cxx and other for
> STR_POOLCHR_STANDARD ("Default CS").

Hi 

If I understand correctly, two tasks need to be done in this patch..

1. In the Styles menu menubar, a "No List" option needs to be added, which is by default selected unless some other type of list (e.g. Bulleted List) is selected.

2."Clear direct formatting" should work for lists as well, i.e., if it is pressed "No List" option should be selected by default..

Please correct me if I am wrong..
Comment 17 S.Zosgornik 2021-01-21 22:29:15 UTC
I don't think "Clear Direct Formatting" should apply on list because they have there own styles
Comment 18 An-Kh 2021-01-23 17:53:44 UTC
Hi

Please have a look at this patch :

https://gerrit.libreoffice.org/c/core/+/108841

I have incorporated the changes
Comment 19 Commit Notification 2021-02-17 15:37:37 UTC
Anshu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c456f839a597f537f1c59becd7d0bb6c86248ef8

tdf#115965 tdf#92622 NoList default in menu,tool,sidebar

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-03-02 14:58:38 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/5e9ca1b304afe987a99cecc298dac6c43a0e17cb

tdf#140669 (related: tdf#92622) update help pages for "No List"